Assignments Assignments

Public Member Functions | Private Member Functions | List of all members
Util::SkewSymmetricRotationParameter Class Reference

`#include <geometry.h>`

Inheritance diagram for Util::SkewSymmetricRotationParameter:

## Public Member Functions
| SkewSymmetricRotationParameter (void)
| SkewSymmetricRotationParameter (const Matrix3D &r)
| SkewSymmetricRotationParameter (const Matrix3D &r, const SkewSymmetricRotationParameter &previous)
Matrix3D | operator() (void) const
Public Member Functions inherited from Util::RotationParameter< SkewSymmetricRotationParameter, Point3D >
SkewSymmetricRotationParameter | operator* (double scale) const
SkewSymmetricRotationParameter | operator+ (const SkewSymmetricRotationParameter &p) const

## Private Member Functions
Matrix3D | _toMatrix (void) const
void | _fromMatrix (const Matrix3D &skew)

## Additional Inherited Members
Public Attributes inherited from Util::RotationParameter< SkewSymmetricRotationParameter, Point3D >
Point3D | parameter

## Detailed Description

This class represents a parametrization of 3x3 rotation matrices by skew-symmetric matrices

## Constructor & Destructor Documentation

## ◆ SkewSymmetricRotationParameter() [1/3]

Util::SkewSymmetricRotationParameter::SkewSymmetricRotationParameter | ( | void |  | ) |

The default constructor

## ◆ SkewSymmetricRotationParameter() [2/3]

Util::SkewSymmetricRotationParameter::SkewSymmetricRotationParameter | ( | const Matrix3D & | r | ) |

The constructor sets the parameters from a rotation matrix

## ◆ SkewSymmetricRotationParameter() [3/3]

Util::SkewSymmetricRotationParameter::SkewSymmetricRotationParameter | ( | const Matrix3D & | r,
|  | const SkewSymmetricRotationParameter & | previous )

The constructor sets the parameters from a rotation matrix and the previous parameter

## Member Function Documentation

## ◆ _fromMatrix()

void Util::SkewSymmetricRotationParameter::_fromMatrix | ( | const Matrix3D & | skew | ) |
| private

## ◆ _toMatrix()

Matrix3D Util::SkewSymmetricRotationParameter::_toMatrix | ( | void |  | ) | const
| private

## ◆ operator()()

Matrix3D Util::SkewSymmetricRotationParameter::operator() | ( | void |  | ) | const
| virtual

This method transforms the parameter into a rotation

Implements Util::RotationParameter< SkewSymmetricRotationParameter, Point3D >.

The documentation for this class was generated from the following files:

- Assignments/Util/geometry.h
- Assignments/Util/geometry.cpp